INDISERVER(1)

NAME
indiserver - INDI server for telescope control under KStars

SYNOPSIS
indiserver [ -p port ] [ -r attempts ] [ -vv ] driver [ driver ... ]

DESCRIPTION
KStars allows you to configure and control astronomical instruments such as telescopes and focusers via the INDI protocol. indiserver is a server that sits between the KStars user interface and the low-level hardware drivers.

The INDI server is a network server, in that either local or remote clients may connect to it to control astronomical instruments. The INDI server must be running on the machine that is physically connected to the astronomical instruments.

Note that there is no need for you to run the INDI server directly. Using the KStars device manager, you can set up astronomical instruments and start or stop the INDI server all from within KStars.

You may however choose to run the INDI server manually from the command line. In this case you must pass the names of one or more drivers for individual astronomical instruments. The current list of available drivers is:

    celestrongps (Celestron GPS)
    fliccd (Finger Lakes Instruments CCD)
    lx200_16 (LX200 16")
    lx200autostar (LX200 Autostar)
    lx200classic (LX200 Classic)
    lx200generic (LX200 Generic)
    lx200gps (LX200 GPS)
    temma (Temma Takahashi)
    v4ldriver (Video4Linux Generic)
    v4lphilips (Philips Webcam)

Much more detailed information can be found in the KStars Handbook, as described below.

KStars is a graphical desktop planetarium for KDE, and forms part of the official KDE edutainment module.

OPTIONS

-p port
    Specify the port to listen on (defaults to 7624).

-r attempts
    Specify the maximum number of restart attempts for each driver (defaults to 2).

-vv Write more verbose output to stderr.

EXAMPLE
To start an INDI server running an LX200 GPS driver and listening to connections on port 8000:

    prompt$ indiserver -p 8000 lx200gps

SEE ALSO
celestrongps(1), fliccd(1), lx200_16(1), lx200autostar(1), lx200classic(1), lx200generic(1), lx200gps(1), kstars(1), temma(1), v4ldriver(1), v4lphilips(1).

The KStars Handbook contains detailed information on how to use INDI for telescope control. You can read this handbook in the KDE Help Centre. Alternatively you can enter the URL help:/kstars/indi.html directly into konqueror or you can run `khelpcenter help:/kstars/indi.html' from the command-line.

If the KDE Help Centre is not installed then you can install the package kdeedu-doc-html and read this documentation in HTML format from /opt/trinity/share/doc/tde/HTML/en/kstars/indi.html.

AUTHOR
KStars was written by Jason Harris <jharris@30doradus.org>, Heiko Evermann <heiko@evermann.de>, Thomas Kabelmann <tk78@gmx.de>, Pablo de Vicente <pvicentea@wanadoo.es>, Jasem Mutlaq <mutlaqja@ikarustech.com>, Carsten Niehaus <cniehaus@gmx.de>, Mark Hollomon <mhh@mindspring.com>, Vincent Jagot <vincent.jagot@free.fr> and Martin Piskernig <martin.piskernig@stuwo.at>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).